# This file created by conda-build 3.20.3
# meta.yaml template originally from:
# /workspace/conda/recipes/cugraph, last modified Wed Oct 13 15:48:58 2021
# ------------------------------------------------

package:
    name: cugraph
    version: 21.10.00
source:
    git_url: ../../..
build:
    number: '0'
    script_env:
        - CC
        - CUDAHOSTCXX
        - CXX
        - PARALLEL_LEVEL
    string: cuda11.2_py38_g84617024_0
requirements:
    build:
        - _openmp_mutex 4.5 1_gnu
        - abseil-cpp 20210324.2 h01db608_0
        - arrow-cpp 5.0.0 py38h8eb210b_1_cuda
        - arrow-cpp-proc 3.0.0 cuda
        - aws-c-cal 0.5.11 h76602a3_0
        - aws-c-common 0.6.2 hf897c2e_0
        - aws-c-event-stream 0.2.7 hf314db3_13
        - aws-c-io 0.10.5 h5a3db43_0
        - aws-checksums 0.1.11 hafdcbdd_7
        - aws-sdk-cpp 1.8.186 h3fd84e4_3
        - bzip2 1.0.8 hf897c2e_4
        - c-ares 1.17.2 hf897c2e_0
        - ca-certificates 2021.10.8 h4fd8a4c_0
        - cachetools 4.2.4 pyhd8ed1ab_0
        - cudatoolkit 11.2.2 hdff5b76_9
        - cudf 21.10.01 cuda_11.2_py38_ga1d2d13a14_0
        - cupy 9.0.0 py38h3f65a54_0
        - cython 0.29.24 py38h0119ad3_0
        - dlpack 0.5 h01db608_0
        - faiss-proc 1.0.0 cuda
        - fastavro 1.4.5 py38h9544abe_0
        - fastrlock 0.6 py38h0119ad3_1
        - fsspec 2021.10.0 pyhd8ed1ab_0
        - gflags 2.2.2 h54f1f3f_1004
        - glog 0.5.0 hbffda88_0
        - grpc-cpp 1.39.0 h9a73d80_1
        - icu 68.1 h884eca8_0
        - krb5 1.19.2 h4f20351_2
        - ld_impl_linux-aarch64 2.36.1 h02ad14f_2
        - libblas 3.9.0 11_linuxaarch64_openblas
        - libbrotlicommon 1.0.9 hf897c2e_5
        - libbrotlidec 1.0.9 hf897c2e_5
        - libbrotlienc 1.0.9 hf897c2e_5
        - libcblas 3.9.0 11_linuxaarch64_openblas
        - libcudf 21.10.01 cuda11.2_ga1d2d13a14_0
        - libcugraph 21.10.00 cuda11.2_g84617024_0
        - libcurl 7.79.1 hcafe9da_1
        - libedit 3.1.20191231 he28a2e2_2
        - libev 4.33 h516909a_1
        - libevent 2.1.10 h6aed413_4
        - libfaiss 1.7.0 cuda112h1234567_9_cuda
        - libffi 3.4.2 h3621d8e_4
        - libgcc-ng 11.2.0 hf1cc4e7_11
        - libgfortran-ng 11.2.0 he9431aa_11
        - libgfortran5 11.2.0 h440fb59_11
        - libgomp 11.2.0 hf1cc4e7_11
        - libhwloc 2.3.0 h82a475f_1
        - libiconv 1.16 h6dd45c4_0
        - liblapack 3.9.0 11_linuxaarch64_openblas
        - libllvm10 10.0.1 he513fc3_3
        - libnghttp2 1.43.0 h097699d_1
        - libnsl 2.0.0 hf897c2e_0
        - libopenblas 0.3.17 pthreads_h775ce2d_1
        - libprotobuf 3.16.0 hc71ff50_0
        - librmm 21.10.01 cuda11.2_gc54767f_0
        - libssh2 1.10.0 h1ab2c7b_2
        - libstdcxx-ng 11.2.0 h0d0a5bb_11
        - libthrift 0.14.2 hb5cdc64_1
        - libutf8proc 2.6.1 hf897c2e_0
        - libxml2 2.9.12 hd674cf7_0
        - libzlib 1.2.11 hb9de7d4_1013
        - llvmlite 0.36.0 py38h68ca503_0
        - lz4-c 1.9.3 h01db608_1
        - nccl 2.10.3.1 he6296c1_0
        - ncurses 6.2 h7fd3ca4_4
        - numba 0.53.1 py38h887e8e3_1
        - numpy 1.21.2 py38hb9da153_0
        - nvtx 0.2.3 py38h9544abe_0
        - openssl 1.1.1l hf897c2e_0
        - orc 1.6.9 h4075cc0_0
        - packaging 21.0 pyhd8ed1ab_0
        - pandas 1.3.3 py38h7ecee56_0
        - parquet-cpp 1.5.1 2
        - pip 21.3 pyhd8ed1ab_0
        - protobuf 3.16.0 py38h0119ad3_0
        - psutil 5.8.0 py38h9544abe_1
        - pyarrow 5.0.0 py38h1352eb1_1_cuda
        - pyparsing 2.4.7 pyh9f0ad1d_0
        - python 3.8.12 h9f07fca_2_cpython
        - python-dateutil 2.8.2 pyhd8ed1ab_0
        - python_abi 3.8 2_cp38
        - pytz 2021.3 pyhd8ed1ab_0
        - re2 2021.06.01 h01db608_0
        - readline 8.1 h1a49cc3_0
        - rmm 21.10.01 cuda_11.2_py38_gc54767f_0
        - s2n 1.0.10 h6aed413_0
        - setuptools 58.2.0 py38h2063c64_0
        - six 1.16.0 pyh6c4a22f_0
        - snappy 1.1.8 h54f1f3f_3
        - spdlog 1.8.5 hd62202e_0
        - sqlite 3.36.0 hc164836_2
        - tk 8.6.11 hd8af866_1
        - typing_extensions 3.10.0.2 pyha770c72_0
        - ucx 1.11.1+gc58db6b cuda11.2_0
        - ucx-proc 1.0.0 gpu
        - ucx-py 0.22 py38_gc58db6b_0
        - wheel 0.37.0 pyhd8ed1ab_1
        - xz 5.2.5 h6dd45c4_1
        - zlib 1.2.11 hb9de7d4_1013
        - zstd 1.5.0 h41fb7a4_0
    run:
        - cudatoolkit >=11.2.2,<11.3.0a0
        - cudf=21.10
        - dask-cuda 21.10.*
        - dask-cudf 21.10.*
        - dask=2021.09.1
        - distributed=2021.09.1
        - libcugraph=21.10.00
        - python >=3.8,<3.9.0a0
        - python_abi 3.8.* *_cp38
        - ucx-proc=*=gpu
        - ucx-py 0.22.*
about:
    home: http://rapids.ai/
    license: Apache-2.0
    license_file: ../../../LICENSE
    summary: cuGraph library
extra:
    copy_test_source_files: true
    final: true
